Package org.apache.wiki.markdown.extensions.jspwikilinks.attributeprovider

## Class JSPWikiLinkAttributeProviderFactory

- java.lang.Object
- - com.vladsch.flexmark.html.IndependentAttributeProviderFactory
  - - org.apache.wiki.markdown.extensions.jspwikilinks.attributeprovider.JSPWikiLinkAttributeProviderFactory

All Implemented Interfaces:
  `com.vladsch.flexmark.html.AttributeProviderFactory`, `com.vladsch.flexmark.util.dependency.Dependent`, `java.util.function.Function<com.vladsch.flexmark.html.renderer.LinkResolverContext,​com.vladsch.flexmark.html.AttributeProvider>`

    public class JSPWikiLinkAttributeProviderFactory
    extends com.vladsch.flexmark.html.IndependentAttributeProviderFactory

Simple `AttributeProviderFactory` to instantiate `JSPWikiLinkAttributeProvider`s.

### Constructor Summary

Constructors
`JSPWikiLinkAttributeProviderFactory​(org.apache.wiki.api.core.Context wikiContext, boolean isImageInlining, java.util.List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.vladsch.flexmark.html.AttributeProvider` `apply​(com.vladsch.flexmark.html.renderer.LinkResolverContext context)`

### Methods inherited from class com.vladsch.flexmark.html.IndependentAttributeProviderFactory

`affectsGlobalScope, getAfterDependents, getBeforeDependents`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

### Constructor Detail

#### JSPWikiLinkAttributeProviderFactory

    public JSPWikiLinkAttributeProviderFactory​(org.apache.wiki.api.core.Context wikiContext,
                                               boolean isImageInlining,
                                               java.util.List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)

### Method Detail

#### apply

    public com.vladsch.flexmark.html.AttributeProvider apply​(com.vladsch.flexmark.html.renderer.LinkResolverContext context)

See Also:
  `AttributeProviderFactory.apply(com.vladsch.flexmark.html.renderer.LinkResolverContext)`